%define name gevice
%define version 0.5.2
%define release %mkrel 3

Summary: Gevice: GNOME Network Device Manager
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:	 http://projects.gnome.org/gevice/
Group:	 Graphical desktop/GNOME
License: GPLv3
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:    http://projects.gnome.org/gevice/%{name}-%{version}.tar.xz
BuildRequires:  pygtk2.0-devel
BuildRequires:  python-devel
BuildRequires:  python-pygraphviz
BuildRequires:  python-vte
BuildRequires:  pygtk2.0-libglade
BuildRequires:  intltool
BuildRequires:  python-psycopg2
BuildRequires:  python-gobject-devel
BuildRequires:  pkgconfig
BuildRequires:  gnome-python
BuildRequires:  gnome-python-gconf
BuildRequires:  perl-XML-Parser
BuildRequires:	desktop-file-utils
BuildArch: noarch
Requires: pygtk2.0
Requires: python-pygraphviz
Requires: python-vte
Requires: pygtk2.0-libglade
Requires: python-psycopg2
Requires: gnome-python
Requires: gnome-python-gconf
Requires: eog
Requires: python >= 2.6


%description
Gevice is a tool for the administration of network device. It is
designed for being used in the GNOME Desktop.
* Features
- Allow you to draw the net model.
- Allow you to print the net diagram in png,gif,jpg formats.
- Allow you to save your model in database (Postgresql)
- Allow you to manager the device, in terminal (telnet,ssh or local)
- Allow export data to CSV file. Use "|" to separate fields (or other).

%prep
%setup -q 

%build
%configure2_5x 

%make

%install
%makeinstall_std
desktop-file-install --vendor="" \
            --remove-category="Application" \
            --add-category="X-MandrivaLinux-GNOME;GTK;Network" \
            --dir %buildroot%_datadir/applications %buildroot%_datadir/applications/*


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{py_sitedir}/%{name}

%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 0.5.2-3pclos2010
- Update

* Sun Nov 22 2009 Texstar <texstar at gmail.com> 0.5.2-2pclos2010
- rebuild

* Sun Aug 19 2009 slick50 <lxgator@gmail.com> 0.5.2-1pclos2009
- initial pkg
